package org.beangle.packagekit;

import java.util.List;

public interface Resolver {

	/**
	 * 资源依赖的其他资源
	 * @param resource
	 * @return
	 */
	List<Resource> getRequires(Resource resource);

	/**
	 * 依赖该资源的其他资源
	 * @param resource
	 * @return
	 */
	List<Resource> getDependencies(Resource resource);
}
