package org.beangle.packagekit.engine;

public interface Task extends Runnable, Comparable<Task>  {

	public int getPriority();

	public void increasePriority();
	
	public void before();
	
	public void after();
	
	public TaskStatus getStatus();
}
