package org.beangle.packagekit.engine;

import java.util.ArrayList;
import java.util.List;

public class Transaction {

	List<Task> tasks =new ArrayList<Task>();

	public void run() {
		for (Task task : tasks) {
			task.before();
		}

		for (Task task : tasks) {
			task.run();
		}

		for (Task task : tasks) {
			task.after();
		}
	}

	public Transaction(List<Task> tasks) {
		super();
		this.tasks = tasks;
	}

}
